/****************************************************************************
** MixerDialog meta object code from reading C++ file 'MixerDialog.h'
**
** Created: Thu Oct 26 17:51:14 2000
**      by: The Qt MOC ($Id: qt/src/moc/moc.y   2.2.1   edited 2000-09-29 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#define Q_MOC_MixerDialog
#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "MixerDialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#if defined(Q_SPARCWORKS_FUNCP_BUG)
#define Q_AMPERSAND
#else
#define Q_AMPERSAND &
#endif


const char *MixerDialog::className() const
{
    return "MixerDialog";
}

QMetaObject *MixerDialog::metaObj = 0;

void MixerDialog::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(MixerDialogData::className(), "MixerDialogData") != 0 )
	badSuperclassWarning("MixerDialog","MixerDialogData");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString MixerDialog::tr(const char* s)
{
    return qApp->translate( "MixerDialog", s, 0 );
}

QString MixerDialog::tr(const char* s, const char * c)
{
    return qApp->translate( "MixerDialog", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* MixerDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) MixerDialogData::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void(MixerDialog::*m1_t0)();
    typedef void(MixerDialog::*m1_t1)();
    typedef void(MixerDialog::*m1_t2)();
    typedef void(MixerDialog::*m1_t3)();
    typedef void(MixerDialog::*m1_t4)();
    typedef void(MixerDialog::*m1_t5)();
    typedef void(MixerDialog::*m1_t6)(int);
    typedef void(MixerDialog::*m1_t7)(int);
    typedef void(MixerDialog::*m1_t8)(int);
    typedef void(MixerDialog::*m1_t9)(int);
    typedef void(MixerDialog::*m1_t10)(int);
    typedef void(MixerDialog::*m1_t11)(int);
    typedef void(MixerDialog::*m1_t12)(int);
    typedef void(MixerDialog::*m1_t13)(int);
    typedef void(MixerDialog::*m1_t14)(bool);
    typedef void(MixerDialog::*m1_t15)(bool);
    typedef void(MixerDialog::*m1_t16)(bool);
    typedef void(MixerDialog::*m1_t17)(bool);
    typedef void(MixerDialog::*m1_t18)(bool);
    typedef void(MixerDialog::*m1_t19)(bool);
    typedef void(MixerDialog::*m1_t20)(bool);
    typedef void(MixerDialog::*m1_t21)(bool);
    m1_t0 v1_0 = Q_AMPERSAND MixerDialog::setMixerOff;
    m1_t1 v1_1 = Q_AMPERSAND MixerDialog::setHighQuality;
    m1_t2 v1_2 = Q_AMPERSAND MixerDialog::setFullPanning;
    m1_t3 v1_3 = Q_AMPERSAND MixerDialog::setEffectsOff;
    m1_t4 v1_4 = Q_AMPERSAND MixerDialog::setStereoSurround;
    m1_t5 v1_5 = Q_AMPERSAND MixerDialog::setCenteredPanning;
    m1_t6 v1_6 = Q_AMPERSAND MixerDialog::setVoice1Volume;
    m1_t7 v1_7 = Q_AMPERSAND MixerDialog::setVoice2Volume;
    m1_t8 v1_8 = Q_AMPERSAND MixerDialog::setVoice3Volume;
    m1_t9 v1_9 = Q_AMPERSAND MixerDialog::setVoice4Volume;
    m1_t10 v1_10 = Q_AMPERSAND MixerDialog::setVoice1Pan;
    m1_t11 v1_11 = Q_AMPERSAND MixerDialog::setVoice2Pan;
    m1_t12 v1_12 = Q_AMPERSAND MixerDialog::setVoice3Pan;
    m1_t13 v1_13 = Q_AMPERSAND MixerDialog::setVoice4Pan;
    m1_t14 v1_14 = Q_AMPERSAND MixerDialog::muteVoice1;
    m1_t15 v1_15 = Q_AMPERSAND MixerDialog::muteVoice2;
    m1_t16 v1_16 = Q_AMPERSAND MixerDialog::muteVoice3;
    m1_t17 v1_17 = Q_AMPERSAND MixerDialog::muteVoice4;
    m1_t18 v1_18 = Q_AMPERSAND MixerDialog::soloVoice1;
    m1_t19 v1_19 = Q_AMPERSAND MixerDialog::soloVoice2;
    m1_t20 v1_20 = Q_AMPERSAND MixerDialog::soloVoice3;
    m1_t21 v1_21 = Q_AMPERSAND MixerDialog::soloVoice4;
    QMetaData *slot_tbl = QMetaObject::new_metadata(22);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(22);
    slot_tbl[0].name = "setMixerOff()";
    slot_tbl[0].ptr = (QMember)v1_0;
    slot_tbl_access[0] = QMetaData::Protected;
    slot_tbl[1].name = "setHighQuality()";
    slot_tbl[1].ptr = (QMember)v1_1;
    slot_tbl_access[1] = QMetaData::Protected;
    slot_tbl[2].name = "setFullPanning()";
    slot_tbl[2].ptr = (QMember)v1_2;
    slot_tbl_access[2] = QMetaData::Protected;
    slot_tbl[3].name = "setEffectsOff()";
    slot_tbl[3].ptr = (QMember)v1_3;
    slot_tbl_access[3] = QMetaData::Protected;
    slot_tbl[4].name = "setStereoSurround()";
    slot_tbl[4].ptr = (QMember)v1_4;
    slot_tbl_access[4] = QMetaData::Protected;
    slot_tbl[5].name = "setCenteredPanning()";
    slot_tbl[5].ptr = (QMember)v1_5;
    slot_tbl_access[5] = QMetaData::Protected;
    slot_tbl[6].name = "setVoice1Volume(int)";
    slot_tbl[6].ptr = (QMember)v1_6;
    slot_tbl_access[6] = QMetaData::Protected;
    slot_tbl[7].name = "setVoice2Volume(int)";
    slot_tbl[7].ptr = (QMember)v1_7;
    slot_tbl_access[7] = QMetaData::Protected;
    slot_tbl[8].name = "setVoice3Volume(int)";
    slot_tbl[8].ptr = (QMember)v1_8;
    slot_tbl_access[8] = QMetaData::Protected;
    slot_tbl[9].name = "setVoice4Volume(int)";
    slot_tbl[9].ptr = (QMember)v1_9;
    slot_tbl_access[9] = QMetaData::Protected;
    slot_tbl[10].name = "setVoice1Pan(int)";
    slot_tbl[10].ptr = (QMember)v1_10;
    slot_tbl_access[10] = QMetaData::Protected;
    slot_tbl[11].name = "setVoice2Pan(int)";
    slot_tbl[11].ptr = (QMember)v1_11;
    slot_tbl_access[11] = QMetaData::Protected;
    slot_tbl[12].name = "setVoice3Pan(int)";
    slot_tbl[12].ptr = (QMember)v1_12;
    slot_tbl_access[12] = QMetaData::Protected;
    slot_tbl[13].name = "setVoice4Pan(int)";
    slot_tbl[13].ptr = (QMember)v1_13;
    slot_tbl_access[13] = QMetaData::Protected;
    slot_tbl[14].name = "muteVoice1(bool)";
    slot_tbl[14].ptr = (QMember)v1_14;
    slot_tbl_access[14] = QMetaData::Protected;
    slot_tbl[15].name = "muteVoice2(bool)";
    slot_tbl[15].ptr = (QMember)v1_15;
    slot_tbl_access[15] = QMetaData::Protected;
    slot_tbl[16].name = "muteVoice3(bool)";
    slot_tbl[16].ptr = (QMember)v1_16;
    slot_tbl_access[16] = QMetaData::Protected;
    slot_tbl[17].name = "muteVoice4(bool)";
    slot_tbl[17].ptr = (QMember)v1_17;
    slot_tbl_access[17] = QMetaData::Protected;
    slot_tbl[18].name = "soloVoice1(bool)";
    slot_tbl[18].ptr = (QMember)v1_18;
    slot_tbl_access[18] = QMetaData::Protected;
    slot_tbl[19].name = "soloVoice2(bool)";
    slot_tbl[19].ptr = (QMember)v1_19;
    slot_tbl_access[19] = QMetaData::Protected;
    slot_tbl[20].name = "soloVoice3(bool)";
    slot_tbl[20].ptr = (QMember)v1_20;
    slot_tbl_access[20] = QMetaData::Protected;
    slot_tbl[21].name = "soloVoice4(bool)";
    slot_tbl[21].ptr = (QMember)v1_21;
    slot_tbl_access[21] = QMetaData::Protected;
    typedef void(MixerDialog::*m2_t0)(const MixerConfig&);
    m2_t0 v2_0 = Q_AMPERSAND MixerDialog::changed;
    QMetaData *signal_tbl = QMetaObject::new_metadata(1);
    signal_tbl[0].name = "changed(const MixerConfig&)";
    signal_tbl[0].ptr = (QMember)v2_0;
    metaObj = QMetaObject::new_metaobject(
	"MixerDialog", "MixerDialogData",
	slot_tbl, 22,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

#include <qobjectdefs.h>
#include <qsignalslotimp.h>

// SIGNAL changed
void MixerDialog::changed( const MixerConfig& t0 )
{
    // No builtin function for signal parameter type const MixerConfig&
    QConnectionList *clist = receivers("changed(const MixerConfig&)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(const MixerConfig&);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}
